> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a ticket

> Get all tickets from a portal, up to 100 per request. By default you will only get a few system fields for any tickets in the response. If you want to get specific properties, you'll need to use the &properties= parameter in the request URL. The parameter can be included multiple times, so you can request any properties you may need. See the parameter descriptions below and the examples for more details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['tickets']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-tickets-v1.json PUT /crm-objects/v1/objects/tickets/{id}
openapi: 3.0.0
info:
  title: CRM Tickets API v1
  version: 1.0.0
  description: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-introduction: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-api-use-case: >-
    When a customer contacts your support team to request help with an issue,
    create a ticket to track that request and keep a record of it for future
    reference.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/tickets/{id}:
    put:
      summary: Update a ticket
      description: >-
        Get all tickets from a portal, up to 100 per request. By default you
        will only get a few system fields for any tickets in the response. If
        you want to get specific properties, you'll need to use the &properties=
        parameter in the request URL. The parameter can be included multiple
        times, so you can request any properties you may need. See the parameter
        descriptions below and the examples for more details.
      operationId: putcrmobjectsv1objectsticketsid
      responses:
        '200':
          description: >-
            Successful response - Get all tickets from a portal, up to 100 per
            request
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update a ticket - Example 1
                  value:
                    - name: hs_ticket_priority
                      value: HIGH
                    - name: content
                      value: This is now an updated ticket marked as high priority.
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: hs_ticket_priority
                          value: HIGH
                          timestamp: 1560173981204
                          source: API
                          sourceVid: []
                      value: HIGH
                      timestamp: 1560173981204
                      source: API
                      sourceId: null
                    - versions:
                        - name: content
                          value: >-
                            This is now an updated ticket marked as high
                            priority.
                          timestamp: 1522872562016
                          source: API
                          sourceVid: []
                      value: This is now an updated ticket marked as closed.
                      timestamp: 1522872562016
                      source: API
                      sourceId: null
                    - versions:
                        - name: status
                          value: CLOSED
                          timestamp: 1522872562016
                          source: API
                          sourceVid: []
                        - name: status
                          value: CLOSED
                          timestamp: 1522870759430
                          source: API
                          sourceVid: []
                      value: CLOSED
                      timestamp: 1522872562016
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - tickets
        - oauth2_legacy: []
        - private_apps:
            - tickets
        - private_apps_legacy: []
components: {}

````